curl -X DELETE "https://api-integration.ollang.com/integration/revision/60b8d6f1e1b9b1d8c6c0d8e1/rev_60b8d6f1e1b9b1d8c6c0d8e2" \
-H "X-Api-Key: <your-api-key>"
const orderId = "60b8d6f1e1b9b1d8c6c0d8e1";
const revisionId = "rev_60b8d6f1e1b9b1d8c6c0d8e2";
const response = await fetch(
`https://api-integration.ollang.com/integration/revision/${orderId}/${revisionId}`,
{
method: "DELETE",
headers: {
"X-Api-Key": "<your-api-key>",
},
}
);
if (response.status === 204) {
console.log("Revision deleted successfully");
}
import requests
order_id = "60b8d6f1e1b9b1d8c6c0d8e1"
revision_id = "rev_60b8d6f1e1b9b1d8c6c0d8e2"
headers = {
'X-Api-Key': '<your-api-key>'
}
response = requests.delete(
f'https://api-integration.ollang.com/integration/revision/{order_id}/{revision_id}',
headers=headers
)
if response.status_code == 204:
print("Revision deleted successfully")
$orderId = '60b8d6f1e1b9b1d8c6c0d8e1';
$revisionId = 'rev_60b8d6f1e1b9b1d8c6c0d8e2';
$curl = curl_init();
curl_setopt_array($curl, array(
CURLOPT_URL => 'https://api-integration.ollang.com/integration/revision/' . $orderId . '/' . $revisionId,
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'DELETE',
CURLOPT_HTTPHEADER => array(
'X-Api-Key: <your-api-key>'
),
));
$response = curl_exec($curl);
$httpCode = curl_getinfo($curl, CURLINFO_HTTP_CODE);
curl_close($curl);
if ($httpCode === 204) {
echo "Revision deleted successfully";
}
package main
import (
"fmt"
"net/http"
)
func main() {
orderId := "60b8d6f1e1b9b1d8c6c0d8e1"
revisionId := "rev_60b8d6f1e1b9b1d8c6c0d8e2"
url := fmt.Sprintf("https://api-integration.ollang.com/integration/revision/%s/%s", orderId, revisionId)
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Set("X-Api-Key", "<your-api-key>")
client := &http.Client{}
resp, _ := client.Do(req)
if resp.StatusCode == 204 {
fmt.Println("Revision deleted successfully")
}
}
String orderId = "60b8d6f1e1b9b1d8c6c0d8e1";
String revisionId = "rev_60b8d6f1e1b9b1d8c6c0d8e2";
HttpResponse<String> response = Unirest.delete("https://api-integration.ollang.com/integration/revision/" + orderId + "/" + revisionId)
.header("X-Api-Key", "<your-api-key>")
.asString();
if (response.getStatus() == 204) {
System.out.println("Revision deleted successfully");
}
No content - Revision deleted successfully
{
"error": "Not Found",
"message": "<reason>"
}
{
"error": "Not Found",
"message": "<reason>"
}
{
"error": "Forbidden",
"message": "<reason>"
}
{
"code": -4,
"error": "UnauthorizedException",
"message": "API Key is missing",
"errorData": "UnauthorizedException"
}
{
"error": "Bad Request",
"message": "<reason>"
}
Revisions
Delete a Specific Revision
Delete a specific revision request that is no longer needed or was created in error
DELETE
/
integration
/
revision
/
{orderId}
/
{revId}
curl -X DELETE "https://api-integration.ollang.com/integration/revision/60b8d6f1e1b9b1d8c6c0d8e1/rev_60b8d6f1e1b9b1d8c6c0d8e2" \
-H "X-Api-Key: <your-api-key>"
const orderId = "60b8d6f1e1b9b1d8c6c0d8e1";
const revisionId = "rev_60b8d6f1e1b9b1d8c6c0d8e2";
const response = await fetch(
`https://api-integration.ollang.com/integration/revision/${orderId}/${revisionId}`,
{
method: "DELETE",
headers: {
"X-Api-Key": "<your-api-key>",
},
}
);
if (response.status === 204) {
console.log("Revision deleted successfully");
}
import requests
order_id = "60b8d6f1e1b9b1d8c6c0d8e1"
revision_id = "rev_60b8d6f1e1b9b1d8c6c0d8e2"
headers = {
'X-Api-Key': '<your-api-key>'
}
response = requests.delete(
f'https://api-integration.ollang.com/integration/revision/{order_id}/{revision_id}',
headers=headers
)
if response.status_code == 204:
print("Revision deleted successfully")
$orderId = '60b8d6f1e1b9b1d8c6c0d8e1';
$revisionId = 'rev_60b8d6f1e1b9b1d8c6c0d8e2';
$curl = curl_init();
curl_setopt_array($curl, array(
CURLOPT_URL => 'https://api-integration.ollang.com/integration/revision/' . $orderId . '/' . $revisionId,
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'DELETE',
CURLOPT_HTTPHEADER => array(
'X-Api-Key: <your-api-key>'
),
));
$response = curl_exec($curl);
$httpCode = curl_getinfo($curl, CURLINFO_HTTP_CODE);
curl_close($curl);
if ($httpCode === 204) {
echo "Revision deleted successfully";
}
package main
import (
"fmt"
"net/http"
)
func main() {
orderId := "60b8d6f1e1b9b1d8c6c0d8e1"
revisionId := "rev_60b8d6f1e1b9b1d8c6c0d8e2"
url := fmt.Sprintf("https://api-integration.ollang.com/integration/revision/%s/%s", orderId, revisionId)
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Set("X-Api-Key", "<your-api-key>")
client := &http.Client{}
resp, _ := client.Do(req)
if resp.StatusCode == 204 {
fmt.Println("Revision deleted successfully")
}
}
String orderId = "60b8d6f1e1b9b1d8c6c0d8e1";
String revisionId = "rev_60b8d6f1e1b9b1d8c6c0d8e2";
HttpResponse<String> response = Unirest.delete("https://api-integration.ollang.com/integration/revision/" + orderId + "/" + revisionId)
.header("X-Api-Key", "<your-api-key>")
.asString();
if (response.getStatus() == 204) {
System.out.println("Revision deleted successfully");
}
No content - Revision deleted successfully
{
"error": "Not Found",
"message": "<reason>"
}
{
"error": "Not Found",
"message": "<reason>"
}
{
"error": "Forbidden",
"message": "<reason>"
}
{
"code": -4,
"error": "UnauthorizedException",
"message": "API Key is missing",
"errorData": "UnauthorizedException"
}
{
"error": "Bad Request",
"message": "<reason>"
}
Delete a specific revision request that is no longer needed or was created in error. This action is irreversible, so use it carefully to remove revision requests that are no longer relevant.
curl -X DELETE "https://api-integration.ollang.com/integration/revision/60b8d6f1e1b9b1d8c6c0d8e1/rev_60b8d6f1e1b9b1d8c6c0d8e2" \
-H "X-Api-Key: <your-api-key>"
const orderId = "60b8d6f1e1b9b1d8c6c0d8e1";
const revisionId = "rev_60b8d6f1e1b9b1d8c6c0d8e2";
const response = await fetch(
`https://api-integration.ollang.com/integration/revision/${orderId}/${revisionId}`,
{
method: "DELETE",
headers: {
"X-Api-Key": "<your-api-key>",
},
}
);
if (response.status === 204) {
console.log("Revision deleted successfully");
}
import requests
order_id = "60b8d6f1e1b9b1d8c6c0d8e1"
revision_id = "rev_60b8d6f1e1b9b1d8c6c0d8e2"
headers = {
'X-Api-Key': '<your-api-key>'
}
response = requests.delete(
f'https://api-integration.ollang.com/integration/revision/{order_id}/{revision_id}',
headers=headers
)
if response.status_code == 204:
print("Revision deleted successfully")
$orderId = '60b8d6f1e1b9b1d8c6c0d8e1';
$revisionId = 'rev_60b8d6f1e1b9b1d8c6c0d8e2';
$curl = curl_init();
curl_setopt_array($curl, array(
CURLOPT_URL => 'https://api-integration.ollang.com/integration/revision/' . $orderId . '/' . $revisionId,
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'DELETE',
CURLOPT_HTTPHEADER => array(
'X-Api-Key: <your-api-key>'
),
));
$response = curl_exec($curl);
$httpCode = curl_getinfo($curl, CURLINFO_HTTP_CODE);
curl_close($curl);
if ($httpCode === 204) {
echo "Revision deleted successfully";
}
package main
import (
"fmt"
"net/http"
)
func main() {
orderId := "60b8d6f1e1b9b1d8c6c0d8e1"
revisionId := "rev_60b8d6f1e1b9b1d8c6c0d8e2"
url := fmt.Sprintf("https://api-integration.ollang.com/integration/revision/%s/%s", orderId, revisionId)
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Set("X-Api-Key", "<your-api-key>")
client := &http.Client{}
resp, _ := client.Do(req)
if resp.StatusCode == 204 {
fmt.Println("Revision deleted successfully")
}
}
String orderId = "60b8d6f1e1b9b1d8c6c0d8e1";
String revisionId = "rev_60b8d6f1e1b9b1d8c6c0d8e2";
HttpResponse<String> response = Unirest.delete("https://api-integration.ollang.com/integration/revision/" + orderId + "/" + revisionId)
.header("X-Api-Key", "<your-api-key>")
.asString();
if (response.getStatus() == 204) {
System.out.println("Revision deleted successfully");
}
Authorizations
This endpoint requires API key authentication. Include your API key in the request header:- Header name:
X-Api-Key - Header value: Your API key from the Ollang dashboard
- Format:
X-Api-Key: your-api-key-here
Path Parameters
The unique identifier of the order that contains the revision you want to
delete. This should be a valid order ID that you have access to.
The unique identifier of the specific revision request you want to delete.
This should be a valid revision ID that belongs to the specified order.
Response
This endpoint returns no content on successful deletion (HTTP 204 status code). The absence of an error response indicates that the revision was successfully deleted.No content - Revision deleted successfully
{
"error": "Not Found",
"message": "<reason>"
}
{
"error": "Not Found",
"message": "<reason>"
}
{
"error": "Forbidden",
"message": "<reason>"
}
{
"code": -4,
"error": "UnauthorizedException",
"message": "API Key is missing",
"errorData": "UnauthorizedException"
}
{
"error": "Bad Request",
"message": "<reason>"
}
Was this page helpful?